GLCLEARSTENCIL(3G)

NAME
glClearStencil - specify the clear value for the stencil buffer

C SPECIFICATION

void glClearStencil(GLint s);

PARAMETERS

s
    Specifies the index used when the stencil buffer is cleared. The initial value is 0.

DESCRIPTION

glClearStencil specifies the index used by glClear() to clear the stencil buffer. s is masked with 2 m - 1, where m is the number of bits in the stencil buffer.

ASSOCIATED GETS

glGet() with argument GL_STENCIL_CLEAR_VALUE

glGet() with argument GL_STENCIL_BITS

SEE ALSO

glClear(), glStencilFunc(), glStencilFuncSeparate(), glStencilMask(), glStencilMaskSeparate(), glStencilOp(), glStencilOpSeparate()

COPYRIGHT

Copyright © 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.

AUTHORS

opengl.org